org.apache.jmeter

## Class NewDriver

- java.lang.Object
- - org.apache.jmeter.NewDriver

-     public final class NewDriver
      extends Object

  Main class for JMeter - sets up initial classpath and the loader.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addPath(String path)` Add a directory or jar to the loader and system classpaths.
    `static void` | `addURL(String path)` Add a URL to the loader classpath only; does not update the system classpath.
    `static void` | `addURL(URL url)` Add a URL to the loader classpath only; does not update the system classpath.
    `static String` | `getJMeterDir()` Get the directory where JMeter is installed.
    `static void` | `main(String[] args)` The main program which actually runs JMeter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addURL

          public static void addURL(String path)
                             throws MalformedURLException

      Add a URL to the loader classpath only; does not update the system classpath.
      Parameters:
        `path` - to be added.
      Throws:
        `MalformedURLException` - when `path` points to an ivalid url

    - #### addURL

          public static void addURL(URL url)

      Add a URL to the loader classpath only; does not update the system classpath.
      Parameters:
        `url` - The `URL` to add to the classpath

    - #### addPath

          public static void addPath(String path)
                              throws MalformedURLException

      Add a directory or jar to the loader and system classpaths.
      Parameters:
        `path` - to add to the loader and system classpath
      Throws:
        `MalformedURLException` - if `path` can not be transformed to a valid `URL`

    - #### getJMeterDir

          public static String getJMeterDir()

      Get the directory where JMeter is installed. This is the absolute path name.
      Returns:
        the directory where JMeter is installed.

    - #### main

          public static void main(String[] args)

      The main program which actually runs JMeter.
      Parameters:
        `args` - the command line arguments

Copyright © 1998-2017 Apache Software Foundation. All Rights Reserved.